Skip to main content
POST
/
api
/
v2
/
projects
/
{projectKey}
/
flags
/
{flagKey}
/
environments
/
{environmentKey}
/
migration-safety-issues
Get migration safety issues
curl --request POST \
  --url https://app.launchdarkly.com/api/v2/projects/{projectKey}/flags/{flagKey}/environments/{environmentKey}/migration-safety-issues \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "instructions": [
    {}
  ],
  "comment": "<string>"
}
'
[
  {
    "causingRuleId": "<string>",
    "affectedRuleIds": [
      "<string>"
    ],
    "issue": "<string>",
    "oldSystemAffected": true
  }
]

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

flagKey
string<string>
required

The migration flag key

environmentKey
string<string>
required

The environment key

Body

application/json
instructions
object[]
required

Semantic patch instructions. The same ones that are valid for flags are valid here.

comment
string

Response

Migration safety issues found

causingRuleId
string

The ID of the rule which caused this issue

affectedRuleIds
string[]

A list of the IDs of the rules which are affected by this issue. fallthrough is a sentinel value for the default rule.

issue
string

A description of the issue that causingRuleId has caused for affectedRuleIds.

oldSystemAffected
boolean

Whether the changes caused by causingRuleId bring inconsistency to the old system